/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
public final class Mul extends MultiArgumentOperator implements ELOperator
{
  protected float combine(float a, float b)
  {
    return a * b;
  }

  public String name()
  {
    return "Mul";
  }

  public String description()
  {
    return "Performs array multiplication addition on all inputs, clamping the result to the interval [-1, 1]";
  }  

  protected String iconString()
  {
    return "*";
  }
}
